SparkFun Electronics Eagle Libraries
====================================

SparkFun Electronics' preferred foot prints using Eagle v6.0 or greater. 
We've spent an enormous amount of time creating and checking these footprints and parts. 
If you enjoy using this library, please buy one of our products at [SparkFun](http://www.sparkfun.com). 
Please also note that we guarantee that there are some messed up footprints in this library. 
We've tried to note which are proven and tested, but by downloading these files, you acknowledge that you are using the files at your own risk. 
We cannot be held responsible for faulty PCBs. 
Always check your parts against a 1:1 printout.

This is the complete SparkFun Electronics default foot prints for Eagle 6.0+. 
We switched to Eagle back in 2006 and have been extremely impressed with its ease of use and flexibility. 
As with any new software, it's like learning a new language and takes time. Do it. Eagle is great. 

How to Use Eagle
----------------

If you need more information about how to use Eagle, checkout our Eagle Tutorials: 

* [Installing an Eagle Library](https://learn.sparkfun.com/tutorials/how-to-install-and-setup-eagle#using-the-sparkfun-libraries)
* [Installing Eagle](https://learn.sparkfun.com/tutorials/how-to-install-and-setup-eagle)
* [Creating Schematics](https://learn.sparkfun.com/tutorials/using-eagle-schematic)
* [Creating Boards](https://learn.sparkfun.com/tutorials/using-eagle-board-layout)
* [Designing Custom Footprints](https://learn.sparkfun.com/tutorials/designing-pcbs-smd-footprints)
* [Creating Footprints from Digital Imagery](https://learn.sparkfun.com/tutorials/making-custom-footprints-in-eagle)

How to use GitHub
-----------------

If you need help getting started using git, check out our GitHub tutorials:
* [Using GitHub](https://learn.sparkfun.com/tutorials/using-github)
* [Using GitHub to Share with SparkFun](https://learn.sparkfun.com/tutorials/using-github-to-share-with-sparkfun)

The library associated with Eagle v5.11 and earlier is found [here](https://github.com/sparkfun/Old-SparkFun-Eagle-Library).

License Information
-------------------

This library is released under the [Creative Commons ShareAlike 4.0 International](https://creativecommons.org/licenses/by-sa/4.0/) license. 
**You are welcome to use this library for commercial purposes.**
For attribution, we ask that when you begin to sell your device using our footprint, you email us with a link to the product being sold. 
We want bragging rights that we helped (in a very small part) to create your 8th world wonder. 
We would like the opportunity to feature your device on our homepage.

Please consider contributing back to this library or others to help the open-source hardware community continue to thrive and grow! 
